# Enum Class VulkanCompositeAlphaFlagKHR

java.lang.Object
java.lang.Enum<VulkanCompositeAlphaFlagKHR>
com.io7m.jcoronado.extensions.khr_swapchain.api.VulkanCompositeAlphaFlagKHR

All Implemented Interfaces:
  `VulkanEnumBitmaskType`, `Serializable`, `Comparable<VulkanCompositeAlphaFlagKHR>`, `Constable`

public enum VulkanCompositeAlphaFlagKHR extends Enum<VulkanCompositeAlphaFlagKHR> implements VulkanEnumBitmaskType

See Also:
  - "VkCompositeAlphaFlagBitsKHR"

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `VK_COMPOSITE_ALPHA_INHERIT_BIT_KHR`
  The way in which the presentation engine treats the alpha channel in the images is unknown to the Vulkan API.
  `VK_COMPOSITE_ALPHA_OPAQUE_BIT_KHR`
  The alpha channel, if it exists, of the images is ignored in the compositing process.
  `VK_COMPOSITE_ALPHA_POST_MULTIPLIED_BIT_KHR`
  The alpha channel, if it exists, of the images is respected in the compositing process.
  `VK_COMPOSITE_ALPHA_PRE_MULTIPLIED_BIT_KHR`
  The alpha channel, if it exists, of the images is respected in the compositing process.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `value()`
  `static VulkanCompositeAlphaFlagKHR`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static VulkanCompositeAlphaFlagKHR[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### VK_COMPOSITE_ALPHA_OPAQUE_BIT_KHR

    public static final VulkanCompositeAlphaFlagKHR VK_COMPOSITE_ALPHA_OPAQUE_BIT_KHR
    The alpha channel, if it exists, of the images is ignored in the compositing process. Instead, the image is treated as if it has a constant alpha of 1.0.

  - ### VK_COMPOSITE_ALPHA_PRE_MULTIPLIED_BIT_KHR

    public static final VulkanCompositeAlphaFlagKHR VK_COMPOSITE_ALPHA_PRE_MULTIPLIED_BIT_KHR
    The alpha channel, if it exists, of the images is respected in the compositing process. The non-alpha channels of the image are expected to already be multiplied by the alpha channel by the application.

  - ### VK_COMPOSITE_ALPHA_POST_MULTIPLIED_BIT_KHR

    public static final VulkanCompositeAlphaFlagKHR VK_COMPOSITE_ALPHA_POST_MULTIPLIED_BIT_KHR
    The alpha channel, if it exists, of the images is respected in the compositing process. The non-alpha channels of the image are not expected to already be multiplied by the alpha channel by the application; instead, the compositor will multiply the non-alpha channels of the image by the alpha channel during compositing.

  - ### VK_COMPOSITE_ALPHA_INHERIT_BIT_KHR

    public static final VulkanCompositeAlphaFlagKHR VK_COMPOSITE_ALPHA_INHERIT_BIT_KHR
    The way in which the presentation engine treats the alpha channel in the images is unknown to the Vulkan API. Instead, the application is responsible for setting the composite alpha blending mode using native window system commands. If the application does not set the blending mode using native window system commands, then a platform-specific default will be used.

- ## Method Details

  - ### values

    public static VulkanCompositeAlphaFlagKHR[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VulkanCompositeAlphaFlagKHR valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public int value()
    Specified by:
      `value` in interface `VulkanEnumBitmaskType`
    Returns:
      The integer value of the constant